Module
Contents
Index 🔎︎
\<bookmark_value\>Line function\</bookmark_value\>

# Line Input # Statement

Reads strings from a sequential file into a variable.

## Syntax:

    Line Input #FileNumber As Integer, Var As String

## Parameters:

\<emph\>FileNumber: \</emph\>Number of the file that contains the data that you want to read. The file must have been opened in advance with the Open statement using the key word READ.

\<emph\>var:\</emph\> The name of the variable that stores the result.

With the \<emph\>Line Input#\</emph\> statement, you can read strings from an open file into a variable. String variables are read line-by-line up to the first carriage return (Asc=13) or linefeed (Asc=10). Line end marks are not included in the resulting string.

## Example:

    Sub ExampleWorkWithAFile

    Dim iNumber As Integer

    Dim sLine As String

    Dim aFile As String

    Dim sMsg As String

        aFile = "c:\data.txt"

        iNumber = Freefile

        Open aFile For Output As #iNumber

        Print #iNumber, "This is a line of text"

        Print #iNumber, "This is another line of text"

        Close #iNumber

        iNumber = Freefile

        Open aFile For Input As iNumber

        While Not EOF(iNumber)

            Line Input #iNumber, sLine

            If sLine <>"" Then

                sMsg = sMsg & sLine & chr(13)

            End If

        Wend

        Close #iNumber

        MsgBox sMsg

    End Sub